package com.qihoo360.mobilesafe.lib.adapter.service;

import com.qihoo360.mobilesafe.lib.adapter.service.ProcessItem;

interface IAccessibilityCallBack {
    void onOpenAccessibility();
    void onStart();
    void onStop();
    void onFinish(boolean success);
    void onItemStatus(in ProcessItem item);
    void onError(in ProcessItem item);
    boolean isStop();
    void stop();
    int getTimeOut();
}