package com.qihoo360.mobilesafe.reward.container.mv

import android.content.Context
import android.content.Intent
import com.qihoo360.apullsdk.apull.protocol.ApullReportManager
import com.qihoo360.apullsdk.apull.protocol.model.ApullTemplateBase
import com.qihoo360.i.Factory
import com.qihoo360.i.IPluginManager
import com.qihoo360.apullsdk.export.support.NewsExportArgsUtil.KEY_SCENE
import com.qihoo360.apullsdk.export.support.NewsExportArgsUtil.KEY_SUBSCENE
import com.qihoo360.apullsdk.export.support.NewsExportArgsUtil.KEY_INITIAL_TEMPLATE
import com.qihoo360.mobilesafe.extension.onClick

import com.qihoo360.mobilesafe.reward.R
import com.qihoo360.mobilesafe.reward.RewardConstant
import com.qihoo360.mobilesafe.support.log.Logger
import kotlinx.android.synthetic.main.apullsdk_container_apull_mv_531.view.*

class ContainerApullMv605(context: Context, template: ApullTemplateBase?) : ContainerApullMv531(context, template) {

    override fun initView(template: ApullTemplateBase?) {
        inflate(context, R.layout.apullsdk_container_apull_mv_531, this)
    }

    override fun addClickListener() {
        mRoot531?.onClick {
            ApullReportManager.reportApullSspMvClick(context, mTemplateApullMv)
            mTemplateApullMv?.click_reported = false

            /**
             * 发送广播，进行try接口
             */
            val intentOne = Intent()
            intentOne.putExtra(RewardConstant.REWARD_AD_UNIQUE_ID,apullMvItem?.unique_id)
            intentOne.action = RewardConstant.ACTION_REWARD_TYPE_OPEN
            context.sendBroadcast(intentOne)


            /**
             * 调起激励视频
             */
            val intent = Intent()
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
            Logger.d(TAG, "jumpRewardVideo")
            intent.putExtra(KEY_SCENE, template?.scene)
            intent.putExtra(KEY_SUBSCENE, template?.subscene)
            intent.putExtra(KEY_INITIAL_TEMPLATE,template?.toJson().toString())
            Factory.startActivity(context, intent,
                    "news", "com.qihoo360.newssdk.page.RewardVideoActivity", IPluginManager.PROCESS_AUTO)
        }
    }

    override fun debugColor() {
        this.setBackgroundColor(resources.getColor(R.color.splashsdk_progress_bg_color))
    }

    override fun updateText() {
        mAppName531?.text = apullMvItem?.appNameOrTitle
        mRewardBtn531?.text = context.getText(R.string.get_hongbao)
    }
}